=== debian/changelog ===
xrdp-hwe-18.04 (0.9.5-2~18.04.1) bionic; urgency=medium

  * Rename for 18.04.3 HWE stack update. (LP: #1817225)
    - build only xorgxrdp-hwe-18.04 binary

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 23 Jul 2019 23:52:02 +0300

xrdp (0.9.5-2) unstable; urgency=medium

  [ Thorsten Glaser ]

  * Re-enable asm code for i386, the fixed upstream is included now.

  [ Dominik George ]

  * Enable vsock.
    + Requested by Craig White and Justin Terry from Microsoft.
  * Fix lintian issues.
    + Use HTTPS copyright format URL.
    + Move source{.,/}lintian-overrides.
    + Replace dh_systemd_start with dh_installsystemd call.

 -- Dominik George <nik@naturalnet.de>  Fri, 16 Feb 2018 16:42:50 +0100

xrdp (0.9.5-1) unstable; urgency=medium

  * New upstream version.
    + Remove patches applied upstream.
    + Refresh other patches.
    + Update debian/copyright.
  * Call X.org directly and remove notes about the wrapper.
  * Bump Standards-Version to 4.1.3, no changes needed.
  * Bump compat level to 11, no changes needed.

 -- Dominik George <nik@naturalnet.de>  Sun, 07 Jan 2018 22:24:28 +0100

xrdp (0.9.4-5) unstable; urgency=medium

  [ Dominik George ]
  * Add package to build PulseAudio modules.
    + Thanks to Wolfgang Schweer for the initial idea!
  * Update README.Debian.

  [ Thorsten Glaser ]
  * Fix typos.
  * Upload separately from the previous version targetting NEW.

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 22 Dec 2017 17:09:14 +0100

xrdp (0.9.4-4) unstable; urgency=high

  [ Dominik George ]
  * Fix (possibly exploitable) high CPU load in ssl_tls_accept.
    (Closes: #884453)
  * Source /etc/profile in startwm. (Closes: #882246)
    + Thanks to Wolfgang Schweer!
  * Update README.Debian.
  * Update bug report instructions.

  [ Thorsten Glaser ]
  * Allow user profile to override /etc/default/locale.
  * Upload to unstable, next upload is likely to idle in NEW for a bit.
  * Disable asm code for i386: xorgxrdp v0.2.4 does not contain the fix.

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 22 Dec 2017 17:06:00 +0100

xrdp (0.9.4-3) unstable; urgency=high

  * Fix regression introduced by last upload. (Closes: #884702)
    + Upstream's patch for CVE-2017-16927 turned out to be broken.
      Thanks to Willem Mulder for reporting.

 -- Dominik George <nik@naturalnet.de>  Wed, 20 Dec 2017 19:40:16 +0100

xrdp (0.9.4-2) unstable; urgency=high

  [ Dominik George ]
  * Fix typo in previous changelog.
  * Fix CVE-2017-16927. (Closes: #882463)
  * Bump Standards-Version.
    + No changes needed.

  [ Thorsten Glaser ]
  * Place missing log_end_msg in init script.
  * Run libpainter/bootstrap as well.
  * Re-enable SIMD on any-i386.
  * Cherry-pick missing parts from experimental branch.
  * Fix another typo in previous changelog.

 -- Dominik George <nik@naturalnet.de>  Fri, 15 Dec 2017 02:10:18 +0100

xrdp (0.9.4-1) unstable; urgency=medium

  * New upstream version. (Closes: #876976, #858098, #864230, #867494)
    + Includes xorgxrdp 0.2.4.
    + Refreshed patches.
    + Updated d/copyright.
    + Japanese keyboard patch is not needed anymore, applied upstream.
    + High resolution RFX patch is not needed anymore, applied upstream.
    + FreeBSD patch is not needed anymore, applied upstream.
    + Socket path patch is not needed anymore, made configurable upstream.
    + CVE-2017-6967 patch is not needed anymore, applied upstream.
  * Update to policy version 4.1.1 (no changes needed).

 -- Dominik George <nik@naturalnet.de>  Mon, 09 Oct 2017 19:00:08 +0200

xrdp (0.9.1-9) unstable; urgency=high

  * Revisit incomplete fix for CVE-2017-6967. (Closes: #858143)

 -- Dominik George <nik@naturalnet.de>  Thu, 04 May 2017 18:59:10 +0200

xrdp (0.9.1-8) unstable; urgency=medium

  * Fix CVE-2017-6967. (Closes: #858143, #855536)

 -- Dominik George <nik@naturalnet.de>  Mon, 24 Apr 2017 20:14:36 +0200

xrdp (0.9.1-7) unstable; urgency=medium

  * Fix RFX with large tile sets, e.g. full HD displays. (Closes: #855387)

 -- Dominik George <nik@naturalnet.de>  Sat, 18 Feb 2017 16:46:17 +0100

xrdp (0.9.1-6) unstable; urgency=medium

  * Fix japanese keyboard detection. (Closes: #854847)

 -- Dominik George <nik@naturalnet.de>  Mon, 13 Feb 2017 21:09:43 +0100

xrdp (0.9.1-5) unstable; urgency=medium

  * Ensure creation of /run directory. (Closes: #854548)

 -- Dominik George <nik@naturalnet.de>  Thu, 09 Feb 2017 12:47:36 +0100

xrdp (0.9.1-4) unstable; urgency=high

  [ Thorsten Glaser ]
  * Fix up PAM conffile handling for upgrades from jessie{,-backports}.
  * Fix build on non-linux architectures. (Closes: #831663)
    + Don’t use FUSE on the Hurd, it does not support enough of it yet.
    + Add GNU/kFreeBSD support to NASM format detection autoconfigury.
  * Remove patch to make stack not executable in *.asm files; upstrem
    fixed this already.
  * Enable Large File Support, as pointed out by lintian.
  * Disable assembly code on any-i386 for now, it must be ported
    (partially rewritten) for PIC support.

  [ Dominik George ]
  * Update/minimise systemd service file patch.
    + Also moves sockpath related part to sockpath patch.
  * Switch back to compat level 10.

 -- Dominik George <nik@naturalnet.de>  Wed, 25 Jan 2017 18:10:11 +0100

xrdp (0.9.1-3) unstable; urgency=medium

  * Fix up last changelog entry.
  * Update bug-control.
    + Report status of xserver-xorg-legacy.

 -- Dominik George <nik@naturalnet.de>  Sun, 15 Jan 2017 00:30:44 +0100

xrdp (0.9.1-2) unstable; urgency=medium

  * Do not ship initial cert/key generated during build.
     + Makes build reproducible.

 -- Dominik George <nik@naturalnet.de>  Sun, 01 Jan 2017 11:58:02 +0100

xrdp (0.9.1-1) unstable; urgency=medium

  [ Dominik George ]

  * New upstream release.
    + Now has an upstream changelog.
    + Enables xauth cookies to prevent unauthorised X server access.
    + Enables libpainter for clients not supporting drawing orders.
      + Fixes MS RDP client on Android and others.

