=== debian/control ===
Source: xrdp-hwe-18.04
Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
Uploaders:
 Dominik George <nik@naturalnet.de>,
 Andreas Tille <tille@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
 Thorsten Glaser <tg@mirbsd.de>,
Section: net
Priority: optional
Build-Depends:
 autoconf (>= 2.59),
 automake (>= 1.6),
 debhelper (>= 11~),
 libfuse-dev [!hurd-any],
 libjpeg-dev,
 libopus-dev,
 libpam0g-dev,
 libssl-dev,
 libtool,
 libx11-dev,
 libxfixes-dev,
 libxrandr-dev,
 nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
 openssl,
 pkg-config,
 systemd [linux-any],
 x11-utils,
 xserver-xorg-core-hwe-18.04,
 xserver-xorg-dev-hwe-18.04,
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-remote/xrdp.git
Vcs-Git: https://anonscm.debian.org/git/pkg-remote/xrdp.git
Homepage: http://xrdp.sourceforge.net

Package: xorgxrdp-hwe-18.04
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${xdriver:Depends},
Recommends:
 xorg-hwe-18.04,
Provides:
 xorgxrdp, xorg-renamed-package, xorg-renamed-package-hwe-18.04,
 xorg-driver-input,
 xorg-driver-video,
Description: Remote Desktop Protocol (RDP) modules for X.org
 xorgxrdp is a set of drivers (screen device, keyboard, and mouse)
 for X.org enabling use through an RDP session with xrdp. For full
 operation, most standard X11 fonts and tools need to be installed;
 the Recommended xorg metapackage is a superset of what’s actually
 needed but will do.
Replaces: xorgxrdp
Conflicts: xorgxrdp
